CREATE TABLE hrm_plan_candidates (
    ENTERPRISE_ID                  NUMBER(18, 0) ,
    PLAN_CANDIDATE_ID              NUMBER(18, 0) ,
    PLAN_ID                        NUMBER(18, 0)     NOT NULL,
    PERSON_ID                      NUMBER(18, 0) ,
    STATUS                         VARCHAR2(120)     NOT NULL,
    SUCCESSION_STATUS              VARCHAR2(120) ,
    SHOW_SUCCESSION_STATUS_FLAG    VARCHAR2(4)   ,
    CANDIDATE_TYPE                 VARCHAR2(120)     NOT NULL,
    EXTERNAL_CANDIDATE_ID          NUMBER(18, 0) ,
    READINESS_CODE                 VARCHAR2(120) ,
    CANDIDATE_RANKING              NUMBER(9, 0)  ,
    EMERGENCY_SUCCESSOR            VARCHAR2(120) ,
    ATTRIBUTE_CATEGORY             VARCHAR2(120) ,
    ATTRIBUTE1                     VARCHAR2(4000),
    ATTRIBUTE2                     VARCHAR2(4000),
    ATTRIBUTE3                     VARCHAR2(4000),
    ATTRIBUTE4                     VARCHAR2(4000),
    ATTRIBUTE5                     VARCHAR2(4000),
    ATTRIBUTE6                     VARCHAR2(4000),
    ATTRIBUTE7                     VARCHAR2(4000),
    ATTRIBUTE8                     VARCHAR2(4000),
    ATTRIBUTE9                     VARCHAR2(4000),
    ATTRIBUTE10                    VARCHAR2(4000),
    ATTRIBUTE11                    VARCHAR2(4000),
    ATTRIBUTE12                    VARCHAR2(4000),
    ATTRIBUTE13                    VARCHAR2(4000),
    ATTRIBUTE14                    VARCHAR2(4000),
    ATTRIBUTE15                    VARCHAR2(4000),
    ATTRIBUTE16                    VARCHAR2(4000),
    ATTRIBUTE17                    VARCHAR2(4000),
    ATTRIBUTE18                    VARCHAR2(4000),
    ATTRIBUTE19                    VARCHAR2(4000),
    ATTRIBUTE20                    VARCHAR2(4000),
    ATTRIBUTE21                    VARCHAR2(4000),
    ATTRIBUTE22                    VARCHAR2(4000),
    ATTRIBUTE23                    VARCHAR2(4000),
    ATTRIBUTE24                    VARCHAR2(4000),
    ATTRIBUTE25                    VARCHAR2(4000),
    ATTRIBUTE26                    VARCHAR2(4000),
    ATTRIBUTE27                    VARCHAR2(4000),
    ATTRIBUTE28                    VARCHAR2(4000),
    ATTRIBUTE29                    VARCHAR2(4000),
    ATTRIBUTE30                    VARCHAR2(4000),
    ATTRIBUTE_NUMBER1              NUMBER        ,
    ATTRIBUTE_NUMBER2              NUMBER        ,
    ATTRIBUTE_NUMBER3              NUMBER        ,
    ATTRIBUTE_NUMBER4              NUMBER        ,
    ATTRIBUTE_NUMBER5              NUMBER        ,
    ATTRIBUTE_NUMBER6              NUMBER        ,
    ATTRIBUTE_NUMBER7              NUMBER        ,
    ATTRIBUTE_NUMBER8              NUMBER        ,
    ATTRIBUTE_NUMBER9              NUMBER        ,
    ATTRIBUTE_NUMBER10             NUMBER        ,
    ATTRIBUTE_NUMBER11             NUMBER        ,
    ATTRIBUTE_NUMBER12             NUMBER        ,
    ATTRIBUTE_NUMBER13             NUMBER        ,
    ATTRIBUTE_NUMBER14             NUMBER        ,
    ATTRIBUTE_NUMBER15             NUMBER        ,
    ATTRIBUTE_NUMBER16             NUMBER        ,
    ATTRIBUTE_NUMBER17             NUMBER        ,
    ATTRIBUTE_NUMBER18             NUMBER        ,
    ATTRIBUTE_NUMBER19             NUMBER        ,
    ATTRIBUTE_NUMBER20             NUMBER        ,
    ATTRIBUTE_DATE1                DATE          ,
    ATTRIBUTE_DATE2                DATE          ,
    ATTRIBUTE_DATE3                DATE          ,
    ATTRIBUTE_DATE4                DATE          ,
    ATTRIBUTE_DATE5                DATE          ,
    ATTRIBUTE_DATE6                DATE          ,
    ATTRIBUTE_DATE7                DATE          ,
    ATTRIBUTE_DATE8                DATE          ,
    ATTRIBUTE_DATE9                DATE          ,
    ATTRIBUTE_DATE10               DATE          ,
    ATTRIBUTE_DATE11               DATE          ,
    ATTRIBUTE_DATE12               DATE          ,
    ATTRIBUTE_DATE13               DATE          ,
    ATTRIBUTE_DATE14               DATE          ,
    ATTRIBUTE_DATE15               DATE          ,
    OBJECT_VERSION_NUMBER          NUMBER(9, 0)      NOT NULL,
    CREATED_BY                     VARCHAR2(256)     NOT NULL,
    CREATION_DATE                  TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY                VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE               TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN              VARCHAR2(128) ,
    LATEST_RECORD_FLAG             VARCHAR2(4)       NOT NULL,
    OPERATION_TYPE                 VARCHAR2(40)  ,
    DATE_FROM                      DATE          ,
    DATE_TO                        DATE          ,
    SOURCE_CODE                    VARCHAR2(120) ,
    SOURCE_KEY                     VARCHAR2(800) ,
    CANDIDATE_SINCE                DATE          ,
    ENTERPRISE_ID                  NUMBER(18, 0) ,
    PLAN_CANDIDATE_ID              NUMBER(18, 0) ,
    PLAN_ID                        NUMBER(18, 0)     NOT NULL,
    PERSON_ID                      NUMBER(18, 0) ,
    STATUS                         VARCHAR2(120)     NOT NULL,
    ATTRIBUTE_CATEGORY             VARCHAR2(120) ,
    ATTRIBUTE1                     VARCHAR2(4000),
    ATTRIBUTE2                     VARCHAR2(4000),
    ATTRIBUTE3                     VARCHAR2(4000),
    ATTRIBUTE4                     VARCHAR2(4000),
    ATTRIBUTE5                     VARCHAR2(4000),
    ATTRIBUTE6                     VARCHAR2(4000),
    ATTRIBUTE7                     VARCHAR2(4000),
    ATTRIBUTE8                     VARCHAR2(4000),
    ATTRIBUTE9                     VARCHAR2(4000),
    ATTRIBUTE10                    VARCHAR2(4000),
    ATTRIBUTE11                    VARCHAR2(4000),
    ATTRIBUTE12                    VARCHAR2(4000),
    ATTRIBUTE13                    VARCHAR2(4000),
    ATTRIBUTE14                    VARCHAR2(4000),
    ATTRIBUTE15                    VARCHAR2(4000),
    ATTRIBUTE16                    VARCHAR2(4000),
    ATTRIBUTE17                    VARCHAR2(4000),
    ATTRIBUTE18                    VARCHAR2(4000),
    ATTRIBUTE19                    VARCHAR2(4000),
    ATTRIBUTE20                    VARCHAR2(4000),
    ATTRIBUTE21                    VARCHAR2(4000),
    ATTRIBUTE22                    VARCHAR2(4000),
    ATTRIBUTE23                    VARCHAR2(4000),
    ATTRIBUTE24                    VARCHAR2(4000),
    ATTRIBUTE25                    VARCHAR2(4000),
    ATTRIBUTE26                    VARCHAR2(4000),
    ATTRIBUTE27                    VARCHAR2(4000),
    ATTRIBUTE28                    VARCHAR2(4000),
    ATTRIBUTE29                    VARCHAR2(4000),
    ATTRIBUTE30                    VARCHAR2(4000),
    ATTRIBUTE_NUMBER1              NUMBER        ,
    ATTRIBUTE_NUMBER2              NUMBER        ,
    ATTRIBUTE_NUMBER3              NUMBER        ,
    ATTRIBUTE_NUMBER4              NUMBER        ,
    ATTRIBUTE_NUMBER5              NUMBER        ,
    ATTRIBUTE_NUMBER6              NUMBER        ,
    ATTRIBUTE_NUMBER7              NUMBER        ,
    ATTRIBUTE_NUMBER8              NUMBER        ,
    ATTRIBUTE_NUMBER9              NUMBER        ,
    ATTRIBUTE_NUMBER10             NUMBER        ,
    ATTRIBUTE_NUMBER11             NUMBER        ,
    ATTRIBUTE_NUMBER12             NUMBER        ,
    ATTRIBUTE_NUMBER13             NUMBER        ,
    ATTRIBUTE_NUMBER14             NUMBER        ,
    ATTRIBUTE_NUMBER15             NUMBER        ,
    ATTRIBUTE_NUMBER16             NUMBER        ,
    ATTRIBUTE_NUMBER17             NUMBER        ,
    ATTRIBUTE_NUMBER18             NUMBER        ,
    ATTRIBUTE_NUMBER19             NUMBER        ,
    ATTRIBUTE_NUMBER20             NUMBER        ,
    ATTRIBUTE_DATE1                DATE          ,
    ATTRIBUTE_DATE2                DATE          ,
    ATTRIBUTE_DATE3                DATE          ,
    ATTRIBUTE_DATE4                DATE          ,
    ATTRIBUTE_DATE5                DATE          ,
    ATTRIBUTE_DATE6                DATE          ,
    ATTRIBUTE_DATE7                DATE          ,
    ATTRIBUTE_DATE8                DATE          ,
    ATTRIBUTE_DATE9                DATE          ,
    ATTRIBUTE_DATE10               DATE          ,
    ATTRIBUTE_DATE11               DATE          ,
    ATTRIBUTE_DATE12               DATE          ,
    ATTRIBUTE_DATE13               DATE          ,
    ATTRIBUTE_DATE14               DATE          ,
    ATTRIBUTE_DATE15               DATE          ,
    OBJECT_VERSION_NUMBER          NUMBER(9, 0)      NOT NULL,
    CREATED_BY                     VARCHAR2(256)     NOT NULL,
    CREATION_DATE                  TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY                VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE               TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN              VARCHAR2(128) ,
    CANDIDATE_RANKING              NUMBER(9, 0)  ,
    EMERGENCY_SUCCESSOR            VARCHAR2(120) ,
    CANDIDATE_TYPE                 VARCHAR2(120)     NOT NULL,
    EXTERNAL_CANDIDATE_ID          NUMBER(18, 0) ,
    READINESS_CODE                 VARCHAR2(120) ,
    SUCCESSION_STATUS              VARCHAR2(120) ,
    SHOW_SUCCESSION_STATUS_FLAG    VARCHAR2(4)   ,
    LATEST_RECORD_FLAG             VARCHAR2(4)       NOT NULL,
    OPERATION_TYPE                 VARCHAR2(40)  ,
    DATE_FROM                      DATE          ,
    DATE_TO                        DATE          ,
    SOURCE_CODE                    VARCHAR2(120) ,
    SOURCE_KEY                     VARCHAR2(800) ,
    CANDIDATE_SINCE                DATE          ,
    CONSTRAINT pk_hrm_plan_candidates PRIMARY KEY (ENTERPRISE_ID, PLAN_CANDIDATE_ID, DATE_FROM, ENTERPRISE_ID, PLAN_CANDIDATE_ID, DATE_FROM)
);
